function vec = e_ratio(theta, h1, h2, h3, h4, h5, h6)
%-- CALCURATION OF MATRIX COMPONENT ------------------------------------
t = theta/180*pi;
si = sin(t);
c = cos(t);
s2 = si*si;
sc = si*c;
c2 = c*c;
DDD = zeros(5,5);
DDD(1,1) = h1*s2 - 2*h3*sc + h6*c2;
DDD(1,2) = i*(h2*si - h5*c);
DDD(1,3) = h1*sc + h3*(s2 - c2) - h6*sc;
DDD(2,1) = -DDD(1,2);
DDD(2,2) = h4;
DDD(2,3) = -i*(h2*c + h5*si);
DDD(3,1) = DDD(1,3);
DDD(3,2) = -DDD(2,3);
DDD(3,3) = h1*c2 + 2*h3*sc + h6*s2;
%----- MATRIX CONVERSION --------------------------------------------------
nflag = 1:3;
for npivot = 1:2
    iflag = npivot;
    jflag = npivot;
    % find the maximum element
    ddmax = abs(DDD(npivot,npivot));
    for ii = npivot:3
        for j = npivot:3
            if abs(DDD(ii,j)) > ddmax
                ddmax = abs(DDD(ii,j));
                iflag = ii;
                jflag = j;
            end
        end
    end
    % exchange rows or columns
    DDD(4,:) = DDD(iflag,:);
    DDD(iflag,:) = DDD(npivot,:);
    DDD(npivot,:) = DDD(4,:);
    DDD(:,4) = DDD(:,jflag);
    DDD(:,jflag) = DDD(:,npivot);
    DDD(:,npivot) = DDD(:,4);
    % normalize the npibot-th row
    DDD(npivot,npivot:3) = DDD(npivot, npivot:3)./DDD(npivot, npivot);
    % sweep out the npibot-th column
    DDD(npivot+1:3, npivot:3) = DDD(npivot+1:3, npivot:3) - DDD(npivot+1:3,1)*DDD(npivot,npivot:3);
    % reorder E
    ibuff = nflag(jflag);
    nflag(jflag) = nflag(npivot);
    nflag(npivot) = ibuff;
end
%---- RELATION BETWEEN EACH COMPONENT OF E(B) VECTOR--------------------
vec(nflag(1)) = -DDD(1,3);
vec(nflag(2)) = -DDD(2,3);
vec(nflag(3)) = 1;

end
